Package com.smartgwt.client.widgets.ace

# Class AceAnchor

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.widgets.ace.AceAnchor

All Implemented Interfaces:
  `HasHandlers`

public class AceAnchor extends BaseClass
Internal use only.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AceAnchor()`
  `AceAnchor(JavaScriptObject jsObj)`
  `AceAnchor(AceDocument document, int row, int column)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `Integer`
  `getColumn()`
  Internal use only.
  `AceDocument`
  `getDocument()`
  Internal use only.
  `JavaScriptObject`
  `getJsObj()`
  `JavaScriptObject`
  `getOrCreateJsObj()`
  `static AceAnchor`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Integer`
  `getRow()`
  Internal use only.
  `boolean`
  `isCreated()`
  `AceAnchor`
  `setColumn(Integer column)`
  Internal use only.
  `AceAnchor`
  `setDocument(AceDocument document)`
  Internal use only.
  `void`
  `setJavaScriptObject(JavaScriptObject jsObj)`
  `AceAnchor`
  `setRow(Integer row)`
  Internal use only.

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoID, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AceAnchor

    public AceAnchor()

  - ### AceAnchor

    public AceAnchor(JavaScriptObject jsObj)

  - ### AceAnchor

    public AceAnchor(AceDocument document, int row, int column)

- ## Method Details

  - ### getOrCreateRef

    public static AceAnchor getOrCreateRef(JavaScriptObject jsObj)

  - ### setJavaScriptObject

    public void setJavaScriptObject(JavaScriptObject jsObj)
    Overrides:
      `setJavaScriptObject` in class `BaseClass`

  - ### create

    public JavaScriptObject create()
    Specified by:
      `create` in class `BaseClass`

  - ### isCreated

    public boolean isCreated()
    Overrides:
      `isCreated` in class `BaseClass`

  - ### getJsObj

    public JavaScriptObject getJsObj()
    Overrides:
      `getJsObj` in class `BaseClass`

  - ### getOrCreateJsObj

    public JavaScriptObject getOrCreateJsObj()
    Overrides:
      `getOrCreateJsObj` in class `BaseClass`

  - ### setColumn

    public AceAnchor setColumn(Integer column) throws IllegalStateException
    Internal use only.
    Throws:
      `IllegalStateException`

  - ### getColumn

    public Integer getColumn()
    Internal use only.

  - ### setDocument

    public AceAnchor setDocument(AceDocument document) throws IllegalStateException
    Internal use only.
    Throws:
      `IllegalStateException`

  - ### getDocument

    public AceDocument getDocument()
    Internal use only.

  - ### setRow

    public AceAnchor setRow(Integer row) throws IllegalStateException
    Internal use only.
    Throws:
      `IllegalStateException`

  - ### getRow

    public Integer getRow()
    Internal use only.